#
# (c) 2010-2019, SWD Embedded Systems Limited, http://www.kpda.ru
#

ifndef QCONFIG
QCONFIG=qconfig.mk
endif
include $(QCONFIG)

LIB_VARIANT = $(patsubst so.,so,$(subst $(space),.,so $(filter wcc be le amanda,$(VARIANTS))))
BOARD_VARIANT = $(patsubst amanda,-amanda,$(subst $(space),,$(filter wcc amanda,$(VARIANTS))))

EXTRA_CCDEPS = $(wildcard $(PROJECT_ROOT)/*.h $(SECTION_ROOT)/*.h $(PRODUCT_ROOT)/usbdi/public/sys/*.h $(PRODUCT_ROOT)/usbdi/internals.h )
EXTRA_INCVPATH = $(PRODUCT_ROOT)/devu $(PRODUCT_ROOT)/usbdi/public $(PRODUCT_ROOT)/include $(PRODUCT_ROOT)/usbdi $(PRODUCT_ROOT)/hcd
EXTRA_LIBVPATH += $(PRODUCT_ROOT)/usbdi/$(CPU)/$(LIB_VARIANT)

define PINFO
PINFO DESCRIPTION=
endef

include $(MKFILES_ROOT)/qmacros.mk

TYPE = $(firstword $(filter a o, $(VARIANTS)) o)

USEFILE_o = $(SECTION_ROOT)/devu-$(SECTION).use
USEFILE_a = 
USEFILE   = $(USEFILE_$(TYPE))

INSTALLDIR_a = lib
INSTALLDIR_o = sbin
INSTALLDIR = $(INSTALLDIR_$(TYPE))

NAME_o = devu-$(SECTION)
EXTRA_SILENT_VARIANTS+=$(VARIANT3)
NAME_a = $(SECTION)
EXTRA_SILENT_VARIANTS+=$(VARIANT3)
NAME   = $(NAME_$(TYPE))
EXTRA_SILENT_VARIANTS+=$(VARIANT3)

LIBS_o = usbdi$(BOARD_VARIANT)
LIBS_a = 
LIBS   = $(LIBS_$(TYPE))

CCFLAGS_o =
CCFLAGS_a = -Dmain=main_$(SECTION)
CCFLAGS   += $(CCFLAGS_$(TYPE))
CCFLAGS_e2k += -fkernel
CCFLAGS += $(CCFLAGS_$(CPU))

-include $(SECTION_ROOT)/override.mk

include $(MKFILES_ROOT)/qtargets.mk
-include $(SECTION_ROOT)/pinfo.mk
